Skip to main content
GET
Read insight

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

insight_guid
string
required

The unique identifier for the insight. Defined by MX.

Query Parameters

includes
string

Opt in to receiving additional data on insights. Pass ?includes=localization_payload to populate the localization_payload object on each insight.

  • When included, insights with a supported template return localization_payload with is_enabled: true and the template-specific fields populated. Unsupported templates return localization_payload with is_enabled: false.
  • If the parameter is omitted entirely, the localization_payload key is not included in the response at all (it is absent, not null).
  • Currently supported templates: BillAmountNotStandard, MonthlySubscriptionAggregateV2, SubscriptionPriceIncrease. This list may grow as more templates are enabled.

Response

200 - application/json

OK

insight
object